Package com.microej.kernel.green.monitoring

## Class MonitoringLoggerTimerTask

- java.lang.Object
- - ej.bon.TimerTask
  - - com.microej.kernel.green.monitoring.MonitoringLoggerTimerTask

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class MonitoringLoggerTimerTask
      extends ej.bon.TimerTask

  Logs CPU and RAM usage periodically

  This logger generate the following log:

  `monitoringloggertimertask INFO: ------------------------------------------------- monitoringloggertimertask INFO: Resource Monitoring: monitoringloggertimertask INFO: ------------------------------------------------- monitoringloggertimertask INFO: Name %CPU %MEM MEM(KB) FS(KB) monitoringloggertimertask INFO: App1 30.46 0.37 3.28 0.21 monitoringloggertimertask INFO: App2 36.66 1.22 10.68 5.32 monitoringloggertimertask INFO: GREEN 0.14 1.94 17.04 12.51 monitoringloggertimertask INFO: %CPU: 67.25, KB Mem: 878 total, 847 free, 31.00 used monitoringloggertimertask INFO: Apps: 2`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static float` | `ONE_KB` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MonitoringLoggerTimerTask​(com.microej.kf.util.monitoring.ResourceMonitoringService resourceMonitoringService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

    - ### Methods inherited from class ej.bon.TimerTask

      `cancel, scheduledExecutionTime, uncaughtException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ONE_KB

          public static final float ONE_KB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MonitoringLoggerTimerTask

          public MonitoringLoggerTimerTask​(com.microej.kf.util.monitoring.ResourceMonitoringService resourceMonitoringService)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Specified by:
        `run` in class `ej.bon.TimerTask`